// pages/familyEventDetail/familyEventDetail.js
import Dialog from '../../dist/dialog/dialog';
import Notify from '../../dist/notify/notify';
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    eventId: '',
    eventDat: '',
    finishUserList:[],
    unfinishUserList: [],
    active: 0
   
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var that = this;
    that.setData({
      eventId: options.eventId
    })
    var config = wx.getStorageSync('config');
    
    //调用接口获取数据
    wx.request({
      url: app.url + 'ajax_get_social_event_detail.php',
      data: {
        unionId: config.unionId,
        eventId: that.data.eventId
      },
      header: { 'content-type': 'application/json' },
      method: 'GET',
      dataType: 'json',
      success: function (res) {
        if (res.statusCode == 200) {
          that.setData({
            eventDat: res.data.result.sociaEventDat,
            finishUserList: res.data.result.finishUserList,
            unfinishUserList: res.data.result.unfinishUserList
          })
        }
      },
      fail: function (res) { },
      complete: function (res) { },
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },

  onChange(event) {

  },

  //参加
  attend(){
    var that=this;
    wx.navigateTo({
      url: '../joinSocialEvent/joinSocialEvent?eventId=' + that.data.eventId + "&eventTitle=" + that.data.eventDat.title,
    })
  }
  
})